## Index

### Type aliases

- BatchWriteItemOutputWithUnprocessedItems

### Functions

- batchWriteItemsWriteAll
- hasUnprocessedItems

## Type aliases

### BatchWriteItemOutputWithUnprocessedItems

BatchWriteItemOutputWithUnprocessedItems: BatchWriteItemOutput & object

- Defined in dynamo/request/batchwritesingletable/batch-write-utils.ts:31

## Functions

### batchWriteItemsWriteAll

- batchWriteItemsWriteAll(dynamoRx: DynamoRx, params: BatchWriteItemInput, backoffTimer: IterableIterator<number>, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/request/batchwritesingletable/batch-write-utils.ts:7

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### params: BatchWriteItemInput

  - ##### backoffTimer: IterableIterator<number>

  - ##### throttleTimeSlot: number

  #### Returns Observable<BatchGetItemOutput>

### hasUnprocessedItems

- hasUnprocessedItems(response: BatchWriteItemOutput): boolean

- - Defined in dynamo/request/batchwritesingletable/batch-write-utils.ts:35

  #### Parameters

  - ##### response: BatchWriteItemOutput

  #### Returns boolean

Generated using TypeDoc